## moblin-media 0.11

=== Makefile ===
BINDIR = ${DESTDIR}/usr/bin/
MEDIAAPPDIR = ${DESTDIR}/usr/share/moblin-media
MEDIASTREAMDIR = ${DESTDIR}/usr/share/moblin-media/media
THEME_DIR = ${DESTDIR}/usr/share/themes/mobilebasic
IMAGE_DIR = ${THEME_DIR}/images
all: 
install:
	@mkdir -p ${BINDIR}
	@mkdir -p ${MEDIAAPPDIR}
	@mkdir -p ${MEDIASTREAMDIR}/video
	@mkdir -p ${MEDIASTREAMDIR}/audio
	@mkdir -p ${MEDIASTREAMDIR}/photo
	@mkdir -p ${MEDIASTREAMDIR}/.playlist
	@mkdir -p ${DESTDIR}/usr/share/media-services

	@mkdir -p ${MEDIASTREAMDIR}/plugins
	@mkdir -p ${THEME_DIR}
	@mkdir -p ${MEDIAAPPDIR}/config
	@mkdir -p ${MEDIAAPPDIR}/images
	@install -m 644 -D images/rewind.png ${IMAGE_DIR}/rewind.png
	@install -m 644 -D images/previous.png ${IMAGE_DIR}/previous.png
	@install -m 644 -D images/pause.png ${IMAGE_DIR}/pause.png
	@install -m 644 -D images/forward.png ${IMAGE_DIR}/forward.png
	@install -m 644 -D images/next.png ${IMAGE_DIR}/next.png
	@install -m 644 -D images/stop.png ${IMAGE_DIR}/stop.png
	@install -m 644 -D images/AlbumArtMissing.png ${MEDIAAPPDIR}/images/AlbumArtMissing.png
	@install -m 644 -D images/mime-video.png ${IMAGE_DIR}/mime-video.png
	@install -m 644 -D images/mime-audio.png ${IMAGE_DIR}/mime-audio.png
	@install -m 644 -D org.moblin.media.service ${DESTDIR}/usr/share/dbus-1/services/org.moblin.media.service

	@install -m 755 -D src/FileIO.py ${MEDIAAPPDIR}/FileIO.py
	@install -m 755 -D src/PlayList.py ${MEDIAAPPDIR}/PlayList.py
	@install -m 755 -D src/MusicManag.py ${MEDIAAPPDIR}/MusicManag.py
	@install -m 755 -D src/GeneralFunc.py ${MEDIAAPPDIR}/GeneralFunc.py
	@install -m 755 -D src/EngManag.py ${MEDIAAPPDIR}/EngManag.py
	@install -m 755 -D src/PhotoView.py ${MEDIAAPPDIR}/PhotoView.py
	@install -m 755 -D src/ToolBarView.py ${MEDIAAPPDIR}/ToolBarView.py
	@install -m 755 -D src/MusicView.py ${MEDIAAPPDIR}/MusicView.py
	@install -m 755 -D src/VideoView.py ${MEDIAAPPDIR}/VideoView.py
	@install -m 755 -D src/Constant.py ${MEDIAAPPDIR}/Constant.py
	@install -m 755 -D src/MoblinMedia.py ${MEDIAAPPDIR}/MoblinMedia.py
	@install -m 755 -D src/ThumbnailView.py ${MEDIAAPPDIR}/ThumbnailView.py
	@install -m 755 -D src/PhotoPlayback.py ${MEDIAAPPDIR}/PhotoPlayback.py
	@install -m 755 -D src/Gesture.py ${MEDIAAPPDIR}/Gesture.py
	@install -m 755 -D src/MediaPlugin.py ${MEDIAAPPDIR}/MediaPlugin.py
	@install -m 644 -D src/MoblinMedia.glade ${MEDIAAPPDIR}/MoblinMedia.glade
	@install -m 644 -D src/url.glade ${MEDIAAPPDIR}/url.glade

	@install -m 755 -D moblin-media ${BINDIR}/moblin-media
	@install -m 644 -D moblin-media.desktop ${DESTDIR}/usr/share/applications/moblin-media.desktop
	@install -m 644 -D moblin_media.png 	${DESTDIR}/usr/share/pixmaps/moblin_media.png
clean:
	rm -f *~

=== debian/changelog ===
moblin-media (0.11) gutsy; urgency=low

  [ Rusty Lynch ]
  * Adding support for pulling images from the configured theme
    directory.  This is still not a proper use of themes, but at least
    we are no longer hard coding the path to the themed images.
  * Cutting a release for gaston

  [ Matthew Garrett ]
  * Correct standards-version
  * Upload to gutsy

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 13 Oct 2007 01:29:01 +0100

moblin-media (0.10) gaston; urgency=low

  [Cathy Shen <cathy.shen@intel.com>]
  * modify Makefile again
  * modify Makefile
  * sort thumbnail, gesutre mode for photo, music thumbnail

  [Bob]
  * Changed a few file names around to match new graphics.  (This is not
    the correct change to get all button states
  * Changed menu contents: Exit->Quit, No "Unfull screen", "Open->Open File..."
    and "Open URI" -> "Open Location...".  Also removed some separators
  * Fixed a simple bug created in previous checkin

  [ Rusty Lynch ]
  * Removed the theme images since they are now part of the theme, and
    you can not have two packages install the same file
  * fixed a bug where the wrong image was used for the play button

 -- Rusty Lynch <rusty.lynch@intel.com>  Fri, 12 Oct 2007 10:54:23 -0700

moblin-media (0.9) gaston; urgency=low

  * Cutting a new gaston release to test the build system

 -- Rusty Lynch <rusty.lynch@intel.com>  Thu, 11 Oct 2007 21:10:39 -0700

moblin-media (0.8) gaston; urgency=low

  * Adding singleton application support
  * Cutting another gaston release

 -- Rusty Lynch <rusty.lynch@intel.com>  Thu, 11 Oct 2007 20:27:38 -0700

moblin-media (0.7) gaston; urgency=low

  * Removing file browsing in thumbnail views by only creating 
    thumbnails for media files (i.e. skipping over directories)
  * Cutting a release for the gaston repository

 -- Rusty Lynch <rusty.lynch@intel.com>  Thu, 11 Oct 2007 17:58:08 -0700

moblin-media (0.6) UNRELEASED; urgency=low

  [ Rusty Lynch <rusty.lynch@intel.com> ]
  * Fixed the changelog
  * Fixed a bug where new PNG files would magically appear in the video
    folder as a side effect of our thumbnail generation.  We now use
    proper temporary files (in the /tmp directory) and delete the files
    as soon as we are done with it.
  * Fixed the permissions for the debian/rules file
  * Changed the fullscreen video mode so that it hides the progress bar
	
  [ Donald Wei <donald.wei@intel.com> ]
  * Change "mobile player" to "moblin media" in source code files.  This
    both changes the name of the launch script (i.e. requiring the
    application launcher to start moblin-media instead of mobile-player)
    and also changes the name of various implementation files.

  [ Cathy Shen <cathy.shen@intel.com> ]
  * move AlbumArtMissing.png to /usr/share/moblin-media/images/
  * change plugin folder in Constant.py
  * set hildon menu constant to True in Constant.py

 -- Rusty Lynch <rusty.lynch@intel.com>  Wed, 10 Oct 2007 11:30:35 -0700

moblin-media (0.5) gutsy; urgency=low

  [ Rusty Lynch ]
  * Changed the name of the gstreamer media service
  * Removed the gstreamer specific config file
  * Changed the name of the directory where the media service config
    files are located
  * Moved the content directory to ~/media/
  * removed gst.conf install
  * Fixed a bug where the namespace was not added to a constant ref
  * Fixed the way that the home directory is found

  [ Matthew Garrett ]
  * Remove sample content from the binary package
  * Upload to Ubuntu

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 09 Oct 2007 13:30:29 +0100

mobile-player (0.4ubuntu22) feisty; urgency=low

  *fix .playlist direction bug  

 -- Cathy <cathy@cathy-desktop>  Thu,  4 Oct 2007 23:18:03 +0800

mobile-player (0.4ubuntu21) feisty; urgency=low

  *add internet radio playlist 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 20:53:16 +0800

mobile-player (0.4ubuntu20) feisty; urgency=low

  *remove osso part, need add python-osso later 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 18:39:37 +0800

mobile-player (0.4ubuntu19) feisty; urgency=low

  *add two image for thumbnail 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 16:55:50 +0800

mobile-player (0.4ubuntu18) feisty; urgency=low

  *add music management, change thumbnail 

 -- Cathy <cathy@cathy-desktop>  Mon,  1 Oct 2007 16:34:47 +0800

mobile-player (0.4ubuntu17) UNRELEASED; urgency=low

  * fix bug 162, 147, 163, 149 *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  14 Sep 2007 15:47:49 +0800

mobile-player (0.4ubuntu16) UNRELEASED; urgency=low

  * fix bug 45, 143, 148, 149 *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  13 Sep 2007 13:47:49 +0800

mobile-player (0.4ubuntu15) UNRELEASED; urgency=low

  * fix bug 110, 122, 124, 115 *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  6 Sep 2007 16:47:49 +0800

mobile-player (0.4ubuntu14) UNRELEASED; urgency=low

  * Add ASF capability check *

 -- Shen Cathy <cathy@cathy-desktop>  Thu,  6 Sep 2007 16:47:49 +0800

mobile-player (0.4ubuntu13) UNRELEASED; urgency=low

  * Not get engine capability from D-Bus when play every media stream *
  * To improve performance *

 -- Shen Cathy <cathy@cathy-desktop>  Thur, 07 Sep 2007 16:30:18 +0800

mobile-player (0.4ubuntu12) UNRELEASED; urgency=low

  * add fast forward and fast rewind functionality *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 31 Aug 2007 18:00:18 +0800

mobile-player (0.4ubuntu11) UNRELEASED; urgency=low

  * fix moblin bug #92 *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 30 Aug 2007 18:00:18 +0800

mobile-player (0.4ubuntu10) UNRELEASED; urgency=low

  * update Makefile and changelog *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 30 Aug 2007 11:30:18 +0800

mobile-player (0.4ubuntu9) UNRELEASED; urgency=low

  * fix some bugs in plugin management and engine management *
  * add double-click event to both video playback and photo playback to fullscreen and unfullscreen *

 -- Shen Cathy <cathy@cathy-desktop>  Fri, 30 Aug 2007 11:20:18 +0800



=== debian/control ===
Source: moblin-media
Section: graphics
Priority: optional
Maintainer: Shen Cathy <cathy.shen@intel.com>
Build-Depends: debhelper (>= 5), python-support (>= 0.3)
Standards-Version: 3.7.2

Package: moblin-media
Architecture: all
Depends: ${python:Depends}, python-gst0.10, python-dbus, python-glade2, python-gtk2, gstreamer0.10-alsa, gstreamer0.10-plugins-base, gstreamer0.10-plugins-good, python-hildon, python-imaging, libgnomevfs2-0, python-gnome2, python-mutagen, gstreamer-dbus-media-service (>= 0.1.7)
Recommends: gstreamer0.10-plugins-bad | gstreamer0.10-plugins-ugly | gstreamer0.10-ffmpeg
Description: Moblin media for Ubuntu Mobile and Embedded
 This is the moblin media application used by default in Ubuntu Mobile.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/moblin-media install


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_pysupport
	dh_gencontrol
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## moblin-media 0.38

=== Makefile ===
BINDIR = ${DESTDIR}/usr/bin/
MEDIAAPPDIR = ${DESTDIR}/usr/share/moblin-media
MEDIASTREAMDIR = ${DESTDIR}/usr/share/moblin-media/media
THEME_DIR = ${DESTDIR}/usr/share/themes/mobilebasic
IMAGE_DIR = ${THEME_DIR}/images
MEDIADIR = ${MEDIAAPPDIR}/sample-media
IMPORTDIR = ${MEDIAAPPDIR}/import

all:
	# Do nothing

basicinstall:
	@mkdir -p ${BINDIR}
	@mkdir -p ${MEDIAAPPDIR}
	@mkdir -p ${MEDIASTREAMDIR}/video
	@mkdir -p ${MEDIASTREAMDIR}/audio
	@mkdir -p ${MEDIASTREAMDIR}/photo
	@mkdir -p ${MEDIASTREAMDIR}/.playlist
	@mkdir -p ${DESTDIR}/usr/share/media-services

	#for moblin-media
	@mkdir -p ${MEDIADIR}
	@mkdir -p ${MEDIADIR}/video
	@mkdir -p ${MEDIADIR}/audio
	@mkdir -p ${MEDIADIR}/photo
	@mkdir -p ${MEDIADIR}/.playlist

	@mkdir -p ${THEME_DIR}
	@mkdir -p ${MEDIAAPPDIR}/config
	@mkdir -p ${MEDIAAPPDIR}/images
	@install -m 644 -D images/thumbnail_background.png ${IMAGE_DIR}/thumbnail_background.png
	@install -m 644 -D images/AlbumArtMissing.png ${MEDIAAPPDIR}/images/AlbumArtMissing.png
	@install -m 644 -D images/AlbumArtMissingOnline.png ${MEDIAAPPDIR}/images/AlbumArtMissingOnline.png
	@install -m 644 -D images/moblin-media-about.png ${MEDIAAPPDIR}/images/moblin-media-about.png
	@install -m 644 -D images/mime-video.png ${IMAGE_DIR}/mime-video.png
	@install -m 644 -D images/mime-audio.png ${IMAGE_DIR}/mime-audio.png
	@install -m 644 -D images/mime-photo.png ${IMAGE_DIR}/mime-photo.png
	@install -m 644 -D dbus/org.moblin.media.service ${DESTDIR}/usr/share/dbus-1/services/org.moblin.media.service
	@install -m 644 -D dbus/org.moblin.media.video.service ${DESTDIR}/usr/share/dbus-1/services/org.moblin.media.video.service
	@install -m 644 -D dbus/org.moblin.media.music.service ${DESTDIR}/usr/share/dbus-1/services/org.moblin.media.music.service
	@install -m 644 -D dbus/org.moblin.media.photo.service ${DESTDIR}/usr/share/dbus-1/services/org.moblin.media.photo.service

	@install -m 755 -D src/top_menu.py ${MEDIAAPPDIR}/top_menu.py
	@install -m 755 -D src/playlist.py ${MEDIAAPPDIR}/playlist.py
	@install -m 755 -D src/media_service.py ${MEDIAAPPDIR}/media_service.py
	@install -m 755 -D src/media_info.py ${MEDIAAPPDIR}/media_info.py
	@install -m 755 -D src/media_info.py ${MEDIAAPPDIR}/media_info.py
	@install -m 755 -D src/settings_dialog.py ${MEDIAAPPDIR}/settings_dialog.py
	@install -m 755 -D src/utils.py ${MEDIAAPPDIR}/utils.py
	@install -m 755 -D src/image_finger.py ${MEDIAAPPDIR}/image_finger.py
	@install -m 755 -D src/photo_view.py ${MEDIAAPPDIR}/photo_view.py
	@install -m 755 -D src/toolbar_view.py ${MEDIAAPPDIR}/toolbar_view.py
	@install -m 755 -D src/music_view.py ${MEDIAAPPDIR}/music_view.py
	@install -m 755 -D src/video_view.py ${MEDIAAPPDIR}/video_view.py
	@install -m 755 -D src/constant.py ${MEDIAAPPDIR}/constant.py
	@install -m 755 -D src/moblin_media.py ${MEDIAAPPDIR}/moblin_media.py
	@install -m 755 -D src/thumbnail_view.py ${MEDIAAPPDIR}/thumbnail_view.py
	@install -m 755 -D src/photo_playback.py ${MEDIAAPPDIR}/photo_playback.py
	@install -m 755 -D src/media_plugin.py ${MEDIAAPPDIR}/media_plugin.py
	@install -m 644 -D src/thumbnail_creator.py ${MEDIAAPPDIR}/thumbnail_creator.py
	@install -m 644 -D src/thumb_base.py ${MEDIAAPPDIR}/thumb_base.py
	@install -m 644 -D src/hint_window.py ${MEDIAAPPDIR}/hint_window.py

	@install -m 644 -D glade/moblin_media.glade ${MEDIAAPPDIR}/moblin_media.glade
	@install -m 644 -D glade/settings_dialog.glade ${MEDIAAPPDIR}/settings_dialog.glade
	@install -m 644 -D glade/dialogs.glade ${MEDIAAPPDIR}/dialogs.glade

	@install -m 755 -D moblin-media ${BINDIR}/moblin-media
	@install -m 644 -D desktop/moblin-media-video.desktop ${DESTDIR}/usr/share/applications/moblin-media-video.desktop
	@install -m 644 -D desktop/moblin-media-music.desktop ${DESTDIR}/usr/share/applications/moblin-media-music.desktop
	@install -m 644 -D desktop/moblin-media-photo.desktop ${DESTDIR}/usr/share/applications/moblin-media-photo.desktop

	@mkdir -p ${DESTDIR}/usr/share/icons/hicolor/32x32/apps/
	@install -m 644 -D icons/32x32/apps/* ${DESTDIR}/usr/share/icons/hicolor/32x32/apps/

	@mkdir -p ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/
	@install -m 644 -D icons/48x48/apps/* ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/

	@mkdir -p ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/
	@install -m 644 -D icons/64x64/apps/* ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/

	@mkdir -p ${DESTDIR}/usr/share/icons/hicolor/72x72/apps/
	@install -m 644 -D icons/72x72/apps/* ${DESTDIR}/usr/share/icons/hicolor/72x72/apps/

	@mkdir -p ${DESTDIR}/usr/share/icons/hicolor/96x96/apps/
	@install -m 644 -D icons/96x96/apps/* ${DESTDIR}/usr/share/icons/hicolor/96x96/apps/

	@mkdir -p ${DESTDIR}/usr/share/gconf/schemas
	@install -m 644 -D moblin-media.schemas ${DESTDIR}/usr/share/gconf/schemas/moblin-media.schemas

	#for moblin-media-sample-content
	@install -m 644 -D content/photo/* ${MEDIADIR}/photo/
	@install -m 644 -D content/video/* ${MEDIADIR}/video/
	@install -m 644 -D content/audio/* ${MEDIADIR}/audio/

	#for moblin-media-import
	@mkdir -p ${IMPORTDIR}
	@install -m 755 -D import/media-import ${BINDIR}/media-import
	@install -m 644 -D import/media-import.desktop ${DESTDIR}/usr/share/gnome/autostart/media-import.desktop
	@install -m 644 -D import/media-import.glade ${MEDIAAPPDIR}/media-import.glade

install: basicinstall runbasictests

runbasictests:
	@echo "Running basic unit tests..."
	src/unittest/testMoblinMedia.py
	@echo "Basic unit tests completed"


clean:
	rm -f *~
